The CA Workload Automation System Agent running on AIX 5.3 does not start due to OS patch level.

Document ID : KB000022071
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem: 

The CA Workload Automation System Agent fails to start with the following error message:

/opt/CA/WA_Agent_R11_3:>exec(): 0509-036 Cannot load program ./cybAgent.bin because of the following errors:

rtld: 0712-001 Symbol __pthread was referenced from module cybAgent.bin(), but a runtime definition of the symbol was not found.

Environment:  

AIX 5.3

Cause: 

Do to OS patch level

Resolution:

Please upgrade the OS to (Technology Level) TL07 are later. Here are some of the links which can provide more details on how to upgrade the OS.

Note: These links may get changed by the vendor (IBM). Consult the vendor for more details.

http://www.ibm.com/developerworks/aix/library/au-dutta_work.html
http://www-01.ibm.com/support/docview.wss?rs=2098&context=SWK80&dc=DB560&dc=DB520&uid=swg21431319&loc=en_US&cs=utf-8&lang=en

Note: Links valid at the time of writing this document. Consult the vendor (IBM) for more details.